Skip to main content
GET
https://api.muvi.video
/
v1
/
providers
/
{providerId}
/
models
curl -X GET https://api.muvi.video/v1/providers/google/models \
  -H "x-api-key: YOUR_API_KEY"
{
  "provider": {
    "id": "google",
    "name": "Google",
    "description": "Google's AI video and image generation models",
    "logoUrl": "https://cdn.muvi.video/providers/google.png",
    "website": "https://ai.google",
    "color": "#4285F4",
    "categories": ["video", "image"],
    "isActive": true
  },
  "models": [
    {
      "id": "model_abc123",
      "name": "Veo 3.1 Fast",
      "description": "High-speed video generation model",
      "category": "video",
      "currentVersion": "v1.0",
      "versionCount": 2,
      "currentVersionPricing": {
        "baseCredits": 50,
        "unit": "per_generation"
      }
    }
  ]
}

Authentication

Requires an API key with list_models scope.
x-api-key
string
required
Your API key with list_models scope.

Path Parameters

providerId
string
required
The unique identifier of the provider (e.g., google, alibaba).

Response

provider
object
Provider details.
models
array
List of models from this provider.
curl -X GET https://api.muvi.video/v1/providers/google/models \
  -H "x-api-key: YOUR_API_KEY"
{
  "provider": {
    "id": "google",
    "name": "Google",
    "description": "Google's AI video and image generation models",
    "logoUrl": "https://cdn.muvi.video/providers/google.png",
    "website": "https://ai.google",
    "color": "#4285F4",
    "categories": ["video", "image"],
    "isActive": true
  },
  "models": [
    {
      "id": "model_abc123",
      "name": "Veo 3.1 Fast",
      "description": "High-speed video generation model",
      "category": "video",
      "currentVersion": "v1.0",
      "versionCount": 2,
      "currentVersionPricing": {
        "baseCredits": 50,
        "unit": "per_generation"
      }
    }
  ]
}